﻿@model List<Portal_Proveedor.Models.OnBase.Documentos>

<div class="table-responsive-md">

    <h3>En Proceso</h3>
    <br />
    <table class="table">
        <thead>
            <tr>
                <th scope="col">Estado</th>
                <th scope="col">N° de factura</th>
                <th scope="col">Monto</th>
            </tr>
        </thead>
        <tbody id="tabla">
            @foreach (var item in Model)
            {
                if (item.estado != null && (
                    item.estado.Equals("EN ESPERA DE VALIDACION DE LA FACTURA") ||
                     item.estado.Equals("EN ESPERA DE VERIFICACION DE FACTURA FISICA") ||
                     item.estado.Equals("FACTURA FISICA RECHAZADA")))
                {
                    <tr>
                        <td scope="row">An&aacute;lisis Contable</td>
                        <td scope="row">@item.numFiscal</td>
                        <td>@item.montoTotal</td>
                    </tr>
                }
            }
            @foreach (var item in Model)
            {
                if (item.estado != null && item.estado.Equals("EN ESPERA DE PAGO."))
                {
                    <tr>
                        <td scope="row">En Espera de Pago</td>
                        <td scope="row">@item.numFiscal</td>
                        <td>@item.montoTotal</td>
                    </tr>
                }
            }
            @if (Model.Count > 0)
            {
                <tr>
                    <th scope="row">Total en An&aacute;lisis Contable</th>
                    <td scope="row"></td>
                    <td>@Model[0].montoRecibidas</td>
                </tr>

                <tr>
                    <th scope="row">Total en espera de pago</th>
                    <td scope="row"></td>
                    <td>@Model[0].montoPendientePago</td>
                </tr>
                <tr>
                    <th scope="row">Monto total</th>
                    <td scope="row"></td>
                    <td>@Model[0].montoEnEsperaFisico</td>
                </tr>
            }
        </tbody>
    </table>
    <h3>Facturas Pagadas</h3>
    <br />
    <table class="table">
        <thead>

            <tr>
                <th scope="col">Estado</th>
                <th scope="col">N° de factura</th>
                <th scope="col">Monto</th>
            </tr>
        </thead>
        <tbody id="tabla">
            @foreach (var item in Model)
            {
                if (item.estado != null && item.estado.Equals("FACTURA PAGADA"))
                {
                    <tr>
                        <td scope="row">Factura Pagada</td>
                        <td scope="row">@item.numFiscal</td>
                        <td>@item.montoTotal</td>
                    </tr>
                }
            }
            @if (Model.Count > 0)
            {
                <tr>
                    <th scope="row">Total Pagadas</th>
                    <td scope="row"></td>
                    <td>@Model[0].montoFacturaPagadas</td>
                </tr>
            }
        </tbody>
    </table>
</div>
